%if 0%{?suse_version}
%define daemon_group www
%else
%define daemon_group apache
%endif

Summary: A Plugin for monitoring virtualization solutions via libvirt
Name: monitor-plugin-check_libvirt
Version: %{op5version}
Release: %{op5release}%{?dist}
License: op5 Software License
Group: op5/system-addons
URL: http://www.op5.com/support
Source0: %name-%version.tar.gz
Prefix: /opt/plugins
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch
Requires: perl
Requires: perl(File::Basename)
Requires: perl(Nagios::Plugin)
Requires: perl(Sys::Virt)
Requires: perl(XML::Simple)
Requires: libvirt-client

%if 0%{?suse_version}
# SLES-specific stuff
%else
# Common RHEL stuff
%if 0%{?rhel} >= 6
# RHEL6-specific stuff
%else
# RHEL5-specific stuff
%endif
%endif

%description
Plugin for monitoring virtualization solutions via libvirt:
KVM/QEMU, VirtualBox, Xen, Microsoft Hyper-V, etc

%prep
%setup -q

%build

%install
mkdir -p %buildroot/opt/plugins
mkdir -p %buildroot/opt/monitor/var/check_libvirt
cp check_libvirt.pl %buildroot/opt/plugins/check_libvirt.pl

pushd %buildroot%prefix
	ln -s check_libvirt.pl check_libvirt
popd
%post
# The libvirt dependency add and start libvird which we don't want
# So we disable libvirtd unconditionally
echo "Making sure libvirtd is not running"
if [ -e /etc/init.d/libvirt-guests ]; then
    /etc/init.d/libvirt-guests status && /etc/init.d/libvirt-guests stop 2>/dev/null
    chkconfig --list libvirt-guests >>/dev/null 2>&1 && chkconfig libvirt-guests off
fi
if [ -e /etc/init.d/libvirtd ]; then
    /etc/init.d/libvirtd status && /etc/init.d/libvirtd stop
    chkconfig --list libvirtd >>/dev/null 2>&1 && chkconfig libvirtd off
fi

%clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
%attr(755,root,root) /opt/plugins/check_libvirt.pl
%attr(755,root,root) /opt/plugins/check_libvirt
%attr(755, monitor, %daemon_group) /opt/monitor/var/check_libvirt/

%changelog
* Tue May 24 2013 Martin Kamijo <mk@op5.com>
Inital commit of the plugins
